.mainPageGamesTable {
    height: 100%;
    width: 100%;
    border-radius: 12px;
    padding: 16px;
    background-color: #183749;
}
.mainPageGamesHeader {
    display: flex;
    height: 32px;
    align-items: center;
    align-self: stretch;
    border-radius: 8px;
}
.mainPageGamesHeaderColCommon {
    display: flex;
    height: 32px;
    padding: 6px 16px;
    align-items: center;
}
.mainPageGamesCol1 {
    width: 50px;
}
.mainPageGamesCol234 {
    width: 179px;
}
.mainPageGamesCol5 {
    width: 87px;
}
.mainPageGamesCol6 {
    width: 110px;
}
.mainPageGamesHeaderLabel {
    color: rgba(255, 255, 255, 0.70);
    font-size: 12px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.17px;
}

.mainPageGamesBody {
    display: flex;
    width: 784px;
    height: 588px;
}
.mainPageGamesBodyContent {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 4px;
    align-self: stretch;
    overflow-x: hidden;
}
.mainPageGamesBodyRow {
    display: flex;
    height: 52px;
    align-items: center;
    align-self: stretch;
    border-radius: 8px;
    background: #1D475F;
}
.mainPageGamesBodyRowCol1 {
    display: flex;
    padding-left: 16px;
    align-items: center;
}
.mainPageGamesBodyRowCol1Img {
    border-radius: 100px;
    padding: 5px;
}
.mainPageGamesBodyRowCol1Img:hover {
    background: rgba(255, 255, 255, 0.12);
}
.mainPageGamesBodyRowColPlayer {
    display: flex;
    height: 100%;
    align-items: center;
}
.mainPageGamesBodyRowColPlayerText {
    padding: 16px;
}
.mainPageGamesBodyRowColPlayerButton {
    padding: 0 16px;
}
.mainPageGamesBodyRowSitButton {
    display: flex;
    padding: 4px 16px;
    align-items: center;
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0.50);
    gap: 8px;
}
.mainPageGamesBodyRowSitButtonImg {
    height: 24px;
    padding: 3px 0;
}
.mainPageGamesBodyRowSitButtonLabel {
    max-width: 100%;
    min-width: 86px;
    color:  #FFF;
    font-size: 12px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0.46px;
}
.mainPageGamesBodyRowLeaveButton {
    display: flex;
    padding: 4px 16px;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0.50);
    gap: 8px;
}
.mainPageGamesBodyRowLeaveButtonImg {
    height: 24px;
    padding: 3px 0;
}
.mainPageGamesBodyRowLeaveButtonLabel {
    min-width: 74px;
    color:  #FFF;
    font-size: 12px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0.46px;
}
.mainPageGamesBodyRowLabel {
    max-width: 100%;
    min-width: 20px;
    color: #FFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: default;
}
.mainPageGamesBodyRowCol5 {
    display: flex;
    height: 100%;
    padding: 16px;
    align-items: flex-start;
    gap: 8px;
}
.mainPageGamesBodyRowCol5Img {
    display: flex;
    align-items: flex-start;
}
.mainPageGamesBodyRowCol6 {
    display: flex;
    height: 100%;
    padding: 16px;
    align-items: center;
    gap: 8px;
}
.mainPageGamesBodyRowCol6Img {
    padding: 5px;
}
